'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('events', 'registration_start', {
			type: Sequelize.DATE,
			allowNull: true,
		});

		await queryInterface.addColumn('events', 'registration_end', {
			type: Sequelize.DATE,
			allowNull: true,
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('events', 'registration_start');
		await queryInterface.removeColumn('events', 'registration_end');
	},
};
